Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.event
Interface KeyHandler

All Superinterfaces:
  EventHandler, EventListener, KeyListener

    public interface KeyHandler

extends EventHandler, KeyListener

Defines a common abstraction whose implementations can associate different key handlers with a Component to switch key handling states easily.

Method Summary

Methods inherited from interface EventHandler
`handlerDisabled, handlerEnabled, handlerRemoved`

Methods inherited from interface KeyListener
`keyPressed, keyReleased, keyTyped`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.